﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SNSHelper.Kaixin001.Entity
{
    public class ParkerFriendInfo : EntityBase
    {
        public ParkerFriendInfo(object obj)
            : base(obj)
        {
        }

        public string UId
        {
            get
            {
                return jsobj["uid"].ToString();
            }
        }

        public string RealName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["real_name"].ToString());
            }
        }

        public string Ta
        {
            get
            {
                return Utility.Unicode2Character(jsobj["ta"].ToString());
            }
        }

        public string Full
        {
            get
            {
                return jsobj["full"].ToString();
            }
        }

        public string SceneMoney
        {
            get
            {
                return jsobj["scenemoney"].ToString();
            }
        }

        public string SceneName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["scenename"].ToString());
            }
        }

        public string Neighbor
        {
            get
            {
                return jsobj["neighbor"].ToString();
            }
        }

        public string Online
        {
            get
            {
                return jsobj["online"].ToString();
            }
        }
    }
}
