﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SNSHelper.Kaixin001.Entity
{
    /// <summary>
    /// 泊车者信息
    /// </summary>
    public class ParkerInfo : EntityBase
    {
        public ParkerInfo()
            : base()
        {
        }

        public ParkerInfo(object obj)
            : base(obj)
        {
        }

        public string VUID
        {
            get
            {
                return jsobj["vuid"].ToString();
            }
        }

        public string UID
        {
            get
            {
                return jsobj["uid"].ToString();
            }
        }

        public string Neighbor
        {
            get
            {
                return jsobj["neighbor"].ToString();
            }
        }

        public string IsFriend
        {
            get
            {
                return jsobj["isfriend"].ToString();
            }
        }

        public string FirstFeeParking
        {
            get
            {
                return jsobj["first_fee_parking"].ToString();
            }
        }

        public string FirstFreeParking
        {
            get
            {
                return jsobj["first_free_parking"].ToString();
            }
        }

        public string RealName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["real_name"].ToString());
            }
        }

        public string Ta
        {
            get
            {
                return Utility.Unicode2Character(jsobj["ta"].ToString());
            }
        }

        public string Logo50
        {
            get
            {
                return jsobj["logo50"].ToString();
            }
        }

        public string Logo20
        {
            get
            {
                return jsobj["logo20"].ToString();
            }
        }

        public string Avenue
        {
            get
            {
                return Utility.Unicode2Character(jsobj["avenue"].ToString());
            }
        }

        public string Cash
        {
            get
            {
                return jsobj["cash"].ToString();
            }
        }

        public string Scene
        {
            get
            {
                return jsobj["scene"].ToString();
            }
        }

        public string Sceneid
        {
            get
            {
                return jsobj["sceneid"].ToString();
            }
        }

        public string Showmoneyminute
        {
            get
            {
                return jsobj["showmoneyminute"].ToString();
            }
        }

        public string Online2
        {
            get
            {
                return jsobj["online2"].ToString();
            }
        }
    }
}
