﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SNSHelper.Kaixin001.Entity
{
    /// <summary>
    /// 玩家私家车位停车情况
    /// </summary>
    public class ParkingInfo : EntityBase
    {
        public ParkingInfo(object obj)
            : base(obj)
        {
        }

        public string ParkId
        {
            get
            {
                return jsobj["parkid"].ToString();
            }
        }

        public string CarUId
        {
            get
            {
                return jsobj["car_uid"].ToString();
            }
        }

        public string CarId
        {
            get
            {
                return jsobj["carid"].ToString();
            }
        }

        public string CTime
        {
            get
            {
                return jsobj["ctime"].ToString();
            }
        }

        public string CarRealName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["car_real_name"].ToString());
            }
        }

        public string CarLogo20
        {
            get
            {
                return jsobj["car_logo20"].ToString();
            }
        }

        public string CarIsfriend
        {
            get
            {
                return jsobj["car_isfriend"].ToString();
            }
        }

        public string CarLogoBig
        {
            get
            {
                return jsobj["parkid"].ToString();
            }
        }

        public string CarLogoSmall
        {
            get
            {
                return jsobj["car_logo_small"].ToString();
            }
        }

        public string CarLogoFlash
        {
            get
            {
                return jsobj["car_logo_flash"].ToString();
            }
        }

        public string CarPolice
        {
            get
            {
                return jsobj["car_police"].ToString();
            }
        }

        public string CarProfit
        {
            get
            {
                return jsobj["car_profit"].ToString();
            }
        }

        public string CarTrademark
        {
            get
            {
                return jsobj["car_trademark"].ToString();
            }
        }

        public string CarTrademarkName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["car_trademarkname"].ToString());
            }
        }

        public string CarPrice
        {
            get
            {
                return jsobj["car_price"].ToString();
            }
        }

        public string CarName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["car_name"].ToString());
            }
        }
    }
}
