﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SNSHelper.Kaixin001.Entity
{
    /// <summary>
    /// 玩家车辆停车情况
    /// </summary>
    public class CarInfo : EntityBase
    {
        public CarInfo(object obj)
            : base(obj)
        {
        }

        /// <summary>
        /// 汽车编号
        /// </summary>
        public string CarId
        {
            get
            {
                return jsobj["carid"].ToString();
            }
        }

        /// <summary>
        /// 单价
        /// </summary>
        public string Price
        {
            get
            {
                return jsobj["price"].ToString();
            }
        }

        public string Neighbor
        {
            get
            {
                return jsobj["neighbor"].ToString();
            }
        }

        public string ParkUId
        {
            get
            {
                return jsobj["park_uid"].ToString();
            }
        }

        public string ParkId
        {
            get
            {
                return jsobj["parkid"].ToString();
            }
        }

        public string CTime
        {
            get
            {
                return jsobj["ctime"].ToString();
            }
        }

        public string CarName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["car_name"].ToString());
            }
        }

        public string CarLogoBig
        {
            get
            {
                return jsobj["car_logo_big"].ToString();
            }
        }

        public string CarLogoSmall
        {
            get
            {
                return jsobj["car_logo_small"].ToString();
            }
        }

        public string CarLogoFlash
        {
            get
            {
                return jsobj["car_logo_flash"].ToString();
            }
        }

        public string CarPolice
        {
            get
            {
                return jsobj["car_police"].ToString();
            }
        }

        public string CarTrademark
        {
            get
            {
                return jsobj["car_trademark"].ToString();
            }
        }

        public string CarTrademarkName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["car_trademarkname"].ToString());
            }
        }

        public string ParkRealName
        {
            get
            {
                return Utility.Unicode2Character(jsobj["park_real_name"].ToString());
            }
        }

        public string ParkLogo20
        {
            get
            {
                return jsobj["park_logo20"].ToString();
            }
        }

        public string ParkProfit
        {
            get
            {
                return jsobj["park_profit"].ToString();
            }
        }

        public string ParkMoneyMinute
        {
            get
            {
                return jsobj["park_moneyminute"].ToString();
            }
        }
    }
}
